@import "~@project-sunbird/sb-styles/assets/mixins/mixins";

::ng-deep {
:root {
  --cc-sbcard-bg: var(--white);
  --cc-sbcard-img-container-bg: var(--gray-100);
  --cc-sbcard-title: var(--primary-color);
  --cc-sbcard-meta-text: var(--gray-800);
  --cc-sbcard-dot-divider: var(--gray-200);
  --cc-sbcard-moreinfo-bg: none;
  --cc-sbcard-moreinfo-bordertop: #cacbce;
  --cc-sbcard-meta2-text: var(--gray-800);
  --cc-sbcard-org-text: var(--gray-200);
  --cc-sbcard-type-bg: var(--gray-200);
  --cc-sbcard-type-text: var(--white);
  --cc-sbcard-rv-img-container-bg: var(--gray-100);
  --cc-sbcard-selected-border: var(--primary-color);
  --cc-sbcard-selected-bg: rgba(2, 79, 157, 0.2);
  --cc-sbcard-offline-bg: var(--tertiary-color);
  --cc-sbcard-offline-img-text: var(--white);
  /* group card */
  --cc-sbcard-img-label: #284C3F;
  --cc-sbcard-img-label-bg: #B3EBD7;
  --cc-sbcard-img-badge-bg: var(--black);
  --cc-sbcard-img-badge-text: var(--white);
  --cc-sblabel-badge-br: var(--secondary-color);
  --cc-sblabel-badge-text: var(--secondary-color);
}

/* card base styles */
.sb--card {
  width: 100%;
  background-color: var(--cc-sbcard-bg);
  display: flex;
  flex-direction: column;
  cursor: pointer;
  position: relative;
  margin-top: 0px;
  border: 0px;
  contain: content;
  border-radius: 0.125rem;
}
.sb--card:hover {
  transform: translate(0, 0px);
  box-shadow: 0 0.125rem 0.4375rem 0 rgba(var(--rc-rgba-black), 0.16);
}
@media (max-width: 767px) {
  .sb--card {
    box-shadow: 0 0.125rem 0.4375rem rgba(var(--rc-rgba-black), 0.16);
  }
}
.sb--card__main-area {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 5.5rem;
}
.sb--card__title {
    color: var(--cc-sbcard-title);
    font-size: 0.875rem;
    margin: 0px;
    line-height: normal;
  }
.sb--card__img {
  height: 4.5rem;
  width: 4.5rem;
  overflow: hidden;
  flex: 0 0 4.5rem;
  margin: 0.5rem;
}
.sb--card__img .img-container {
  display: flex;
  align-items: center;
  background-color: var(--cc-sbcard-img-container-bg);
  height: 4.5rem;
  width: 4.5rem;
  justify-content: center;
}
.sb--card__img .img-container img {
  max-width: 100%;
}
.sb--card__info {
  flex: 1;
  overflow: hidden;
}
[dir=ltr] .sb--card__info {
  padding-right: 0.5rem;
}

[dir=rtl] .sb--card__info {
  padding-left: 0.5rem;
}
.sb--card__meta1 {
  color: var(--cc-sbcard-meta-text);
  font-size: 0.75rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  flex: 1;
  line-height: 1.25rem;
  margin-top: 0.25rem;
}
.sb--card .data_1 {
  max-width: 50%;
}
.sb--card .data_2 {
  flex: 1;
}
.sb--card .dot-divider {
  width: 0.25rem;
  height: 0.25rem;
  min-width: 0.25rem;
  max-width: 0.25rem;
  min-height: 0.25rem;
  max-height: 0.25rem;
  border-radius: 100%;
  background-color: var(--cc-sbcard-dot-divider);
  display: inline-block;
  margin: 0px 0.5rem;
}
.sb--card__moreinfo {
  border-radius: 0 0 0.125rem 0.125rem;
  background-color: var(--cc-sbcard-moreinfo-bg);
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: space-between;
  border-top: 0px solid var(--cc-sbcard-moreinfo-bordertop);
}
.sb--card__meta2 {
  color: var(--cc-sbcard-meta2-text);
  font-size: 0.75rem;
  line-height: 0.875rem;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 0.5rem;
}
.sb--card__meta2_data .label {
  font-weight: normal;
}
.sb--card__meta2_data .value {
  font-weight: bold;
}
.sb--card__org {
  color: var(--cc-sbcard-org-text);
}
.sb--card__tags {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  flex: 1;
}
.sb--card__badge {
  display: flex;
  margin-right: 0.5rem;
}
html[dir=rtl] .sb--card__badge {
  margin-right: 0;
  margin-left: 0.5rem;
}
.sb--card__badge img {
  width: 1.25rem;
  height: 1.25rem;
}

.sb--card.selected {
  border: 0.063rem solid var(--cc-sbcard-selected-border);
  border-radius: 0.25rem;
  background-color: var(--cc-sbcard-selected-bg);
}
.sb--card.offline .sb--card__img .img-container {
  display: flex;
  align-items: center;
  background-color: var(--cc-sbcard-offline-bg);
  opacity: 0.5;
}
.sb--card.offline .sb--card__img .img-container img {
  margin: auto;
  font-size: 1.5rem;
  color: var(--cc-sbcard-offline-img-text);
}
.sb--card.offline .sb--card__info,
.sb--card.offline .sb--card__moreinfo {
  opacity: 0.5;
}

.sb--card:hover .card-hover,
.sb--card:focus-within .card-hover {
  opacity: 1;
  z-index: 1001;
  display: block;
}
.sb--card:hover .card-hover .child-content,
.sb--card:focus-within .card-hover .child-content {
  --cc-sbcard-hover-text: var(--white);
  --cc-sbcard-hover-bg: var(--primary-color);
  color: var(--cc-sbcard-hover-text);
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  opacity: 0.95;
  border-radius: 0.125rem;
  background-color: var(--cc-sbcard-hover-bg);
  z-index: 1;
  display: flex;
  align-items: center;
  transition: 0.2s ease-in;
  flex-direction: column;
  justify-content: space-evenly;
}

/* group card */
.sb--card__img .img-container--label {
  text-transform: capitalize;
  background-color: var(--cc-sbcard-img-label-bg);
  color: var(--cc-sbcard-img-label);
  position: relative;
}
.sb--card__img .img-container--label label {
  margin-bottom: 0px;
  padding-bottom: 0px;
  font-size: 1.3125rem;
  font-weight: bold;
}
.sb--card__img .img-container--label .img-container--badge {
  position: absolute;
  bottom: 0;
  width: 100%;
  background-color: var(--cc-sbcard-img-badge-bg);
  color: var(--cc-sbcard-img-badge-text);
  font-size: 0.75rem;
  text-align: center;
  margin-bottom: 0.5rem;
  line-height: normal;
  opacity: 0.6;
}

.sb-label-badge {
  font-size: 0.6875rem;
  border: 1px solid var(--cc-sblabel-badge-br);
  align-self: center;
  padding: 0.25rem 0.5rem;
  border-radius: 0.125rem;
  color: var(--cc-sblabel-badge-text);
  text-align: center;
}
}





.current-section {
  background-color: cornflowerblue
}
.current-section::after { 
  content: "\039e";
  background-color: yellow; 
  color: red;
  font-weight: bold;
  font-size: 1.5rem;
  margin-left: 0.5rem;
}